Skip to content

Uploads an attachment to be linked to a brand. The attachment will be automatically assigned to the new Brand Orders when needed.

Request

Upload an attachment to be linked to a brand.

Security
OAuth2(Required scopes: write)
Path
projectIdstringrequired

Customer's project id

brandIdstringrequired

Customer's brand id

Bodymultipart/form-datarequired

File content body

filestring, (binary)required

File content body

attachmentTypestring(AttachmentType)required

Attachment type

Enum ValueDescription
COMPANY_BANNER

Banner attachment

COMPANY_LOGO

Logo attachment

curl -i -X POST \
  'https://compliance.api.sinch.com/v1/projects/{projectId}/us/brands/{brandId}/attachments' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: multipart/form-data' \
  -F file=file.txt \
  -F attachmentType=COMPANY_BANNER

Responses

Attachment uploaded successfully.

Bodyapplication/json
attachmentIdstringread-only

Unique identifier of the attachment.

fileNamestring

Human readable name of the attachment.

attachmentTypestring(AttachmentType)

Attachment type

Enum ValueDescription
COMPANY_BANNER

Banner attachment

COMPANY_LOGO

Logo attachment

mimeTypestringread-only

MIME type of the attachment file.

uploadStatusstringread-only

Status of the file uploaded

Enum ValueDescription
COMPLETED

Attachment successfully uploaded and linked to the registration

WAITING

Attachment processing is still ongoing.

FAILED

Attachment uploading has failed for any reason.

createTimestring, (date-time)read-only

Create time of the request. ISO date time format in UTC.

updateTimestring, (date-time)read-only

Update time of the request. ISO date time format in UTC.

Response
{ "attachmentId": "d1c7ccbf-919d-462f-8587-dec95a1b11ee", "fileName": "company_logo.png", "attachmentType": "COMPANY_LOGO", "mimeType": "image/png", "uploadStatus": "COMPLETED", "createTime": "2024-01-15T10:00:00Z", "updateTime": "2024-01-15T10:00:00Z" }
We'd love to hear from you!
Rate this content: